db4o |

# ObjectClass.Compare Method

registers an attribute provider for special query behavior.

void Compare(
ObjectAttribute attributeProvider
);

#### Parameters

attributeProvider
  the attribute provider to be used

#### Remarks

registers an attribute provider for special query behavior.
The query processor will compare the object returned by the attribute provider instead of the actual object, both for the constraint and the candidate persistent object.
Preinstalled attribute providers are documented in the sourcecode of com.db4o.samples.translators.Default.java#defaultConfiguration().

#### See Also

ObjectClass Interface | com.db4o.config Namespace